* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-align: left;
  font-weight: 300;
}

.container-box li {
  list-style-type: none;
}

h2 {
  padding-bottom: 30px;
  font-weight: 400;
  font-size: 1.5em;
}

h3 {
  padding-bottom: 20px;
  font-weight: 400;
  font-size: 1.17em;
}

h4 {
  padding-bottom: 10px;
  font-size: 1em;
  font-weight: 400;
}

td, th {
  padding: 2px 10px 2px 1px;
}

a {
  color: inherit;
}

hr {
  width: 100%;
}

table {
  border-collapse: collapse;
}

.concert-table-header th {
  font-weight: 400;
  border-bottom: 1px solid black;
}

.concert-table-spacer {
  height: 20px;
}

.concert-table-inner td, th {
  vertical-align: middle;
  white-space: nowrap;
  padding: 15px 20px 2px 1px;
}

.concert-table-outer {
  max-width: 100%;
}

.concert-table-inner {
  display: block;
  overflow-y: auto;
}

.vereinsponsor-logo {
  max-width: 165px;
  max-height: 50px;
}

body {
  font-family: 'Roboto', sans-serif;
  text-align: center;
  overflow-x: hidden;
  width: 100%;
  min-height: 100%;
  background-color: #1f1f1f;
}

html {
  overflow-x: hidden;
  width: 100%;
}


.navbar {
  top: 0;
  left: 0;
  z-index: 1000;
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  padding: 0 20px;
  height: 50px;
  width: 100%;
  box-shadow: 0px 0px 10px 2px #000000;
}

.menu {
  display: flex;
  list-style: none;
  height: 100%;
  max-width: 100vw;
}

.menu li {
  margin: 0 10px;
  display: flex;
  flex-grow: 1;
  align-items: center;
  height: 50px;
}

.menu li a {
  color: black;
  text-decoration: none;
  padding: 0 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.menu li a:hover {
  /* lila */
  background-color: #9c86b4;
}

.hamburger {
  display: none;
  font-size: 24px;
  color: black;
  cursor: pointer;
}

.hamburger :hover{
  background-color: #9c86b4;
}

@media (max-width: 768px) {
  .menu {
    display: none;
    flex-direction: column;
    background-color: white;
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    height: auto;
  }

  .menu.active {
    display: flex;
    box-shadow: 0px 4px 10px -8px #000000;
  }

  .hamburger {
    display: block;
  }
}


.text-right {
  text-align: right
}

.bold {
  font-weight: bold;
}

.splash {
  z-index: -1;
  position: relative;
  overflow: hidden;
  width: 100vw;
  height: calc(100vh-50px);
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  z-index: -1;
  background-image: url('images/bg3.jpg');
}

.section {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100vw;
  min-height: 40vh;
  background-color: white;
  padding: 20px 10px;
  z-index: 1;
}

.section-inner {
  max-width: 800px;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.map-container {
  width: 800px;
  max-width: 98vw;
  height: 500px;
  overflow: hidden;
  border: 1px solid darkgrey;
}

.map-text {
  z-index: 2;
  position: absolute;
  font-size: 1.8em;
}

.map > .map-text {
  font-size: 4rem;
}

.map {
  cursor: grab;
  position: relative;
  width: 5000px;
  height: 3531px;
  transform-origin: top left;
  background-image: url('images/plan.png');
  background-size: cover;
}

.map-container-mzh {
  width: 600px;
  max-width: 90vw;
  height: 600px;
  overflow: hidden;
  border: 1px solid darkgrey;
}

.map-mzh {
  cursor: grab;
  position: relative;
  width: 1000px;
  height: 1000px;
  transform-origin: top left;
  background-image: url('images/plan_mzh.png');
  background-size: cover;
}

.map-marker {
    color: white;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background-color: grey;
    border-radius: 50%;
    cursor: pointer;
}

.map-text-info-box {
  position: absolute;
  z-index: 1000;
  display: flex;
  align-items: flex-start;
}

.map-text-info h3 {
  padding: 0;2
}

.map-text-info {
  position: relative;
  margin: 3px 0 0 3px;
  font-size: 0.8rem;
  padding: 3px;
  background-color: rgba(156,134,180,0.6);
  border-radius: 2px;
  transition: opacity 2s ease-in-out;
  width: 130px;
}

.map-text-info-row p {
  margin: 0 0 0 10px !important;
}

.map-text-info-row {
  display: flex;
  align-items: center
}

.map-text-info-marker {
  background-color: grey;
  width: 20px;
  height: 20px;
  background-color: grey;
  border-radius: 50%;
  margin: 1px 0 1px 0;
  flex-shrink: 0;
}

.map-marker-purple {
    background-color: #9c86b4;
}

.map-marker-green {
    background-color: rgba(27, 163, 156, 1);
}

.map-marker-red {
    background-color: firebrick;
}

.map-marker-blue {
    background-color: #6495ED;
}

.section-inner img {
  width: 100%
}

.map-sponsor {
  display: inline;
  width: auto !important;
  height: auto;
  max-height: 100px;
  max-width: 100%;
}


.section h2 {
  margin: 0 10px;
}

.section p {
  margin: 0 10px 10px 10px;
}

.map-dialog {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  position: absolute;
  background: white;
  padding: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.6);
  border-radius: 5px;
  overflow-y: auto;
  min-width: 300px;
  max-width: 80%;
  max-height: 80%;
  z-index: 10000;
  left: 50%;
  top: 50%;
  transform: translate(-50%, 0);
}

.map-dialog h1 {
  font-size: 1em;
  margin: 0 0 4px 0;
  font-weight: bold;
}

.map-dialog p {
  font-size: 0.8em;
  margin: 0 0 4px 0;
}

.map-dialog ul {
  margin-left: 10px;
}

.map-dialog li {
  font-size: 0.8em;
  list-style-type: disc;
  margin-left: 10px;
}

.map-dialog button {
  top: 0;
  right: 0;
  position: absolute;
  background: none;
  border: none;
  cursor: pointer;
  padding: 8px;
  font-size: 0.9em;
  font-weight: bold;
}

.about-section-with-image {
  display: flex;
  align-items: center;
}

@media (min-width: 601px) {
    .about-section-with-image {
        flex-direction: row;
    }
    .about-section-with-image img {
      width: 250px;
      height: 250px;
    }
    .about-section-image-box p {
      max-width: 250px;
    }
}

@media (max-width: 600px) {
    .about-section-with-image {
        flex-direction: column;
    }
    .about-section-with-image img {
      width: 200px;
      height: 200px;
    }
    .about-section-image-box p {
      max-width: 200px;
    }
}

.about-section-with-image img {
  border-radius: 50%;
  object-fit: cover;
  margin: 20px;
}

.about-section-image-box p {
  font-weight: 500;
}

.veteranen-section-with-image {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.veteranen-section-with-image img {
  border-radius: 50%;
  object-fit: cover;
  margin: 20px 0;
}

@media (min-width: 601px) {
  .veteranen-section-with-image {
    width: 266px;
    padding: 20px;
  }
  .veteranen-section-with-image img {
    width: 226px;
    height: 226px;
  }
}

@media (max-width: 600px) {
  .veteranen-section-with-image {
    padding: 0;
    min-width: 200px;
  }
  .veteranen-section-with-image img {
    width: 180px;
    height: 180px;
  }
}


.veteranen-section-with-image p {
  font-weight: 500;
}

.veteranen-image-section {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  max-widht: 100%;
}

.veteranen-image-section h2 {
  padding: 20px 0;

}

.splash-section {
  position: relative;
  top: 50px;
  padding: 0;
  min-height: 100vh;
  background-image: url('images/bg3.jpg');
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}

.logo-row {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  flex-wrap: wrap;
  z-index: 10;
}

.logo-row-footer {
  background-color: #e0e0e0;
  width: 100%;
  margin-bottom: 20px;
}

.logo {
  position: relative;
  padding: 1px 1px;
  background-color: rgba(255, 255, 255, 0.85);
  border-radius: 3px;
  width: 22vw;
  max-width: 250px;
  margin: 3px 2px;
}

.logo-footer {
  background-color: transparent;
  padding: 8px;
}

.logo-img {
  display: block;
  width: 100%;
  object-fit: contain;
  padding: 3px;
}

.logo-explain {
  padding: 3px;
  font-size: 8px;
}

.splash-section-box {
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 3px;
  max-width: 500px;
  padding: 20px;
  box-shadow: 0px 0px 100px 20px #000000;
  overflow: hide;
  margin-bottom: 20px;
}

.img-spacer {
  min-height: 30vh;
  position: relative;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  z-index: -1;
  padding: 40px 0;
  transition: all 0.8s ease; /* Animates all animatable properties */
  -webkit-transition: all 0.8s ease; /* Animates all animatable properties */
}

.img-spacer-small {
  min-height: 15vh;
  position: relative;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  z-index: -1;
  padding: 40px 0;
}

.img-spacer-bg1 {
  background-image: url('images/bg1.jpg');
}

.img-spacer-bg2 {
  background-image: url('images/bg2.jpg');
}

.img-spacer-bg4 {
  background-image: url('images/bg4.jpg');
}

.img-spacer-about-bg2 {
  background-image: url('images/about_bg2.jpg');
}

.img-spacer-about-bg3 {
  background-image: url('images/about_bg3.jpg');
}

.img-spacer-samstag-bg2 {
  background-image: url('images/samstag_bg2.jpg');
}

.container {
  max-width: 800px;
  padding: 20px;
}

.row-container {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: center;
  flex-wrap: wrap;
  gap: 30px;
}

.container-box {
  flex-grow: 1;
  max-width: 400px;
}

.container-box > a > div {
  margin: 10px 0 0 10px;
}

.container-box-purple {
  padding: 20px;
  background-color: rgba(156, 134, 180, 0.4);
  border-radius: 2px;
  text-align: left;
}

.container-box > * {
  color: #1f1f1f;
}

.logo-bmf {
  font-size: 48px;
  font-weight: bold;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo-bmf img {
  max-width: 100%;
  height: auto;
}

.title {
  align-self: center;
  font-size: 18px;
  font-weight: 400;
  color: black;
  text-align: center;
}

.text-align-center {
  text-align: center;
}

.tagline {
  padding: 10px 0 0 80px;
  font-size: 16px;
  font-weight: 300;
  color: black;
}

.footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100vw;
  min-height: 10vh;
  background-color: #1f1f1f;
}

.footer-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100vw;
  max-width: 1200px;
  margin-bottom: 10px;
}

.footer-container-box {
  flex: 1;
}

.footer-container-box > * {
  padding: 10px;
  color: #e0e0e0;
  font-size: 14px;
}

.notenschl-box {
  border-radius: 3px;
  padding: 10px;
  background-color: #e0e0e0;
  flex: 0 0 auto;
}

.notenschl-box-small {
  padding: 0px;
  flex: 0 0 auto;
}

.shadow {
   box-shadow: 0px 0px 100px 20px #000000;
}

.notenschl {
  display: block;
  width: 40px;
}

.notenschl-small {
  display: block;
  width: 20px;
}
